Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	2D turn based simulation-strategy game
Name:		slingshot
Version:	0.8p
Release:	2
License:	GNU/GPL
URL:		http://www.slingshot-game.org/
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.gz
Source1:	slingshot
Source2:	slingshot.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python
Requires:	python-pygame
BuildRequires:	ImageMagick
BuildArch:	noarch

%description
Slingshot is a two dimensional, turn based simulation-strategy game set in the gravity fields of several planets. It is a highly addictive game, and never the same from round to round due to its randomly generated playing fields. 
 It is a deceptively simple game, the goal is to shoot the other spacecraft through the field of planets, but their gravity makes it tricky. The effects of the gravity mean that although it's easy to learn how to play, and to enjoy playing, it could take a lifetime to thoroughly master. 
 In order to hit your opponent, you can rotate you ship to aim in any direction, and you can change the power with which your projectile is launched - the initial speed at which it flies.

%prep
%setup -q -n %{name}

%build

%install
# install all gamefiles
mkdir -p $RPM_BUILD_ROOT/usr/games/slingshot
cp -R * $RPM_BUILD_ROOT/usr/games/slingshot
# add convenience shell-wrapperscript
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/
# add desktop entry
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications
# add icons for desktop entry
pushd data
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
convert icon64x64.png -resize 32x32 -extent 32x32 $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/slingshot.png
convert icon64x64.png -resize 48x48 -extent 48x48 $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/slingshot.png
cp icon64x64.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/slingshot.png
popd

%files
%defattr(-,root,root)
%_bindir
/usr/games
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.8p-2
- rebuild, group correction to Games/Strategy,
- added BuildArch noarch (no compiling needed for this package)
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8p-1
- Initial Release
